|  | Home · All Classes · Modules

# QPainter.PixmapFragmentHints Class Reference
[QtGui module]

### Methods

- __init__ (self, PixmapFragmentHints)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- PixmapFragmentHints __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, PixmapFragmentHints f)
- PixmapFragmentHints __iand__ (self, int mask)
- int __int__ (self)
- PixmapFragmentHints __invert__ (self)
- PixmapFragmentHints __ior__ (self, PixmapFragmentHints f)
- PixmapFragmentHints __ixor__ (self, PixmapFragmentHints f)
- bool __ne__ (self, PixmapFragmentHints f)
- PixmapFragmentHints __or__ (self, PixmapFragmentHints f)
- PixmapFragmentHints __or__ (self, int f)
- PixmapFragmentHints __xor__ (self, PixmapFragmentHints f)
- PixmapFragmentHints __xor__ (self, int f)

## Detailed Description

## Method Documentation

### PixmapFragmentHints.__init__ (self, PixmapFragmentHints)

### PixmapFragmentHints.__init__ (self, int)

### PixmapFragmentHints.__init__ (self)

### PixmapFragmentHints PixmapFragmentHints.__and__ (self, int mask)

### int PixmapFragmentHints.__bool__ (self)

### bool PixmapFragmentHints.__eq__ (self, PixmapFragmentHints f)

### PixmapFragmentHints PixmapFragmentHints.__iand__ (self, int mask)

### int PixmapFragmentHints.__int__ (self)

### PixmapFragmentHints PixmapFragmentHints.__invert__ (self)

### PixmapFragmentHints PixmapFragmentHints.__ior__ (self, PixmapFragmentHints f)

### PixmapFragmentHints PixmapFragmentHints.__ixor__ (self, PixmapFragmentHints f)

### bool PixmapFragmentHints.__ne__ (self, PixmapFragmentHints f)

### PixmapFragmentHints PixmapFragmentHints.__or__ (self, PixmapFragmentHints f)

### PixmapFragmentHints PixmapFragmentHints.__or__ (self, int f)

### PixmapFragmentHints PixmapFragmentHints.__xor__ (self, PixmapFragmentHints f)

### PixmapFragmentHints PixmapFragmentHints.__xor__ (self, int f)